# $Revision: 1.105 $, $Date: 2008/06/02 01:18:12 $
#
# TODO:
#	- think about building MPI.
#	- split shared libs from core package into -iostreams/-serialization.
#
# Conditional build:
%bcond_without	python	# without boost-python support
#
%define		_fver	%(echo %{version} | tr . _)
Summary:	The Boost C++ Libraries
Summary(pl.UTF-8):	Biblioteki C++ "Boost"
Name:		boost
Version:	1.35.0
Release:	3
License:	Boost Software License and others
Group:		Libraries
Source0:	http://dl.sourceforge.net/boost/%{name}_%{_fver}.tar.bz2
# Source0-md5:	dce952a7214e72d6597516bcac84048b
Patch0:		%{name}-climits.patch
URL:		http://www.boost.org/
BuildRequires:	boost-jam >= 3.1.12
BuildRequires:	bzip2-devel
BuildRequires:	expat-devel
BuildRequires:	libicu-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
%{?with_python:BuildRequires:	python-devel >= 2.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	zlib-devel
BuildConflicts:	gcc = 5:3.3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Boost web site provides free peer-reviewed portable C++ source
libraries. The emphasis is on libraries which work well with the C++
Standard Library. One goal is to establish "existing practice" and
provide reference implementations so that the Boost libraries are
suitable for eventual standardization. Some of the libraries have
already been proposed for inclusion in the C++ Standards Committee's
upcoming C++ Standard Library Technical Report.

%description -l pl.UTF-8
Strona http://www.boost.org/ dostarcza darmowe biblioteki C++ wraz z
kodem źródłowym. Nacisk położono na biblioteki, które dobrze
współpracują ze standardową biblioteką C++. Celem jest ustanowienie
"istniejącej praktyki" i dostarczenie implementacji, tak że biblioteki
"Boost" nadają się do ewentualnej standaryzacji. Niektóre z bibliotek
już zostały zgłoszone do komitetu standaryzacyjnego C++ w nadchodzącym
Raporcie Technicznym Biblioteki Standardowej C++

%package devel
Summary:	Boost C++ development headers
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek C++ Boost
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-date_time = %{version}-%{release}
Requires:	%{name}-filesystem = %{version}-%{release}
Requires:	%{name}-graph = %{version}-%{release}
Requires:	%{name}-program_options = %{version}-%{release}
Requires:	%{name}-regex = %{version}-%{release}
Requires:	%{name}-signals = %{version}-%{release}
Requires:	%{name}-system = %{version}-%{release}
Requires:	%{name}-test = %{version}-%{release}
Requires:	%{name}-thread = %{version}-%{release}
Requires:	%{name}-wave = %{version}-%{release}
Requires:	libstdc++-devel
Obsoletes:	boost-any-devel
Obsoletes:	boost-array-devel
Obsoletes:	boost-bind-devel
Obsoletes:	boost-call_traits-devel
Obsoletes:	boost-compatibility-devel
Obsoletes:	boost-compose-devel
Obsoletes:	boost-compressed_pair-devel
Obsoletes:	boost-concept_check-devel
Obsoletes:	boost-conversion-devel
Obsoletes:	boost-crc-devel
Obsoletes:	boost-date_time-devel
Obsoletes:	boost-filesystem-devel
Obsoletes:	boost-graph-devel
Obsoletes:	boost-mem_fn-devel
Obsoletes:	boost-mpl-devel
Obsoletes:	boost-preprocessor-devel
Obsoletes:	boost-program_options-devel
Obsoletes:	boost-ref-devel
Obsoletes:	boost-regex-devel
Obsoletes:	boost-signals-devel
Obsoletes:	boost-spirit-devel
Obsoletes:	boost-statechart-devel
Obsoletes:	boost-static_assert-devel
Obsoletes:	boost-test-devel
Obsoletes:	boost-thread-devel
Obsoletes:	boost-tr1-devel
Obsoletes:	boost-type_traits-devel
Obsoletes:	boost-typeof-devel
Obsoletes:	boost-uBLAS-devel
Obsoletes:	boost-utility-devel
Obsoletes:	boost-wave-devel
Obsoletes:	boost-xpressive-devel

%description devel
Header files for the Boost C++ libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek C++ Boost.

%package static
Summary:	Static version of base Boost C++ libraries
Summary(pl.UTF-8):	Statyczne wersje podstawowych bibliotek C++ Boost
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	boost-static < 1.33

%description static
Static version of base Boost C++ libraries.

%description static -l pl.UTF-8
Statyczne wersje podstawowych bibliotek C++ Boost.

%package python
Summary:	Boost.Python library
Summary(pl.UTF-8):	biblioteka Boost.Python
Group:		Libraries
%pyrequires_eq	python

%description python
Use the Boost Python Library to quickly and easily export a C++
library to Python such that the Python interface is very similar to
the C++ interface. It is designed to be minimally intrusive on your
C++ design. In most cases, you should not have to alter your C++
classes in any way in order to use them with Boost.Python. The system
should simply ``reflect'' your C++ classes and functions into Python.

%description python -l pl.UTF-8
Biblioteka Boost Python służy do szybkiego i prostego eksportu
biblioteki C++ do Pythona, tak że interfejs Pythona jest bardzo
podobny do interfejsu C++. Biblioteka jest zaprojektowana tak, żeby
narzucać jak najmniej wymagań dotyczących konstrukcjii C++. W
większości przypadków nie trzeba w ogóle zmieniać własnych klas C++,
żeby używać ich z Boost.Python. System powinien po prostu ,,odbić''
klasy C++ i funkcje do Pythona.

%package python-devel
Summary:	Boost.Python development headers
Summary(pl.UTF-8):	Pliki nagłówkowe dla Boost.Python
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-python = %{version}-%{release}

%description python-devel
Headers for the Boost.Python library.

%description python-devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki Boost.Python.

%package python-static
Summary:	Static version of Boost.Python library
Summary(pl.UTF-8):	Statyczna wersja biblioteki Boost.Python
Group:		Development/Libraries
Requires:	%{name}-python-devel = %{version}-%{release}

%description python-static
Static version of Boost.Python library.

%description python-static -l pl.UTF-8
Statyczna wersja biblioteki Boost.Python.

%package date_time
Summary:	Date-Time library
Summary(pl.UTF-8):	Biblioteka daty-czasu
Group:		Libraries
Obsoletes:	boost < 1.33

%description date_time
A set of date-time libraries.

%description date_time -l pl.UTF-8
Zbiór bibliotek daty-czasu.

%package filesystem
Summary:	Portable paths, iteration over directories, and other useful filesystem operations
Summary(pl.UTF-8):	Przenośne ścieżki, iteracje katalogów i inne użyteczne operacje na systemie plików
Group:		Libraries
Requires:	%{name}-system = %{version}-%{release}
Obsoletes:	boost < 1.33

%description filesystem
The boost::filesystem library provides portable facilities to query
and manipulate paths, files, and directories.

%description filesystem -l pl.UTF-8
Przenośna biblioteka boost::filesystem dostarcza ułatwienia w
operacjach na ścieżkach, plikach i katalogach.

%package graph
Summary:	General purpose, generic C++ library for graph data structures and graph algorithms
Summary(pl.UTF-8):	Biblioteka ogólnego przeznaczenia w C++ dla struktur danych typu grafy oraz algorytmów związanych z grafami
Group:		Libraries

%description graph
The boost::graph library provides portable facilities to operate on
graph data structures using graph algorithms.

%description graph -l pl.UTF-8
Przenośna biblioteka boost::graph dostarcza ułatwienia w operacjach na
strukturach danych typu graf za pomocą algorytmów związanych z
grafami.

%package program_options
Summary:	Access to program options, via conventional methods such as command line and config file
Summary(pl.UTF-8):	Dostęp do opcji programu za pomocą typowych metod, jak linia poleceń i plik konfiguracyjny
Group:		Libraries

%description program_options
The program_options library allows program developers to obtain
program options, that is (name, value) pairs from the user, via
conventional methods such as command line and config file.

%description program_options -l pl.UTF-8
Biblioteka program_options umożliwia uzyskanie od użytkownika opcji
programu, czyli par (nazwa, wartość), za pomocą typowych metod, takich
jak linia poleceń, czy plik konfiguracyjny.

%package regex
Summary:	Boost C++ regular expressions library
Summary(pl.UTF-8):	Biblioteka wyrażeń regularnych Boost C++
Group:		Libraries

%description regex
Shared library for Boost C++ regular expressions.

%description regex -l pl.UTF-8
Biblioteka wyrażeń regularnych dla C++, biblioteki dzielone.

%package signals
Summary:	Signals & slots callback implementation
Summary(pl.UTF-8):	Implementacja sygnałów i slotów
Group:		Libraries
Obsoletes:	boost < 1.33

%description signals
The boost::signals library is an implementation of a signals and slots
system.

%description signals -l pl.UTF-8
Biblioteka boost::signals jest implementacją systemu sygnałów i
slotów.

%package system
Summary:	Support for getting system specific error codes
Summary(pl.UTF-8):	Wsparcie dla pobierania specyficznych dla systemu kodów błędów
Group:		Libraries

%description system
The Boost System library provides simple, light-weight error_code
objects that encapsulate system-specific error code values, yet also
provide access to more abstract and portable error conditions objects.

%package test
Summary:	Support for program testing and execution monitoring
Summary(pl.UTF-8):	Wsparcie dla testowania i monitorowania programu
Group:		Libraries
Obsoletes:	boost < 1.33

%description test
Support for simple program testing, full unit testing, and for program
execution monitoring.

%description test -l pl.UTF-8
Wsparcie dla prostego testowania programu, pełnego testowania i
monitorowania wykonania programu.

%package thread
Summary:	Portable C++ threads library
Summary(pl.UTF-8):	Przenośna biblioteka wątków C++
Group:		Libraries
Obsoletes:	boost < 1.33

%description thread
Portable C++ threads library - shared library.

%description thread -l pl.UTF-8
Przenośna biblioteka wątków dla C++ - biblioteka dzielona.

%package wave
Summary:	Boost.Wave - a standard compliant C++ preprocessor library
Summary(pl.UTF-8):	Boost.Wave - zgodna ze standardem biblioteka preprocesora C++
Group:		Development/Libraries

%description wave
Boost.Wave - a standard compliant C++ preprocessor library.

%description wave -l pl.UTF-8
Boost.Wave - zgodna ze standardem biblioteka preprocesora C++.

%package doc
Summary:	Boost C++ Library documentation
Summary(pl.UTF-8):	Dokumentacja dla biblioteki Boost C++
Group:		Documentation
Requires:	%{name}-devel = %{version}-%{release}

%description doc
Documentation for the Boost C++ Library.

%description doc -l pl.UTF-8
Dokumentacja dla biblioteki Boost C++.

%prep
%setup -q -n %{name}_%{_fver}
%patch0 -p1

# - don't know how to pass it through (b)jam -s (no way?)
#   due to oversophisticated build flags system.
# - pass -fPIC due to <shared-linkable> removal.
%{__sed} -i 's/<optimization>speed : -O3/<optimization>speed : %{rpmcxxflags} -fPIC/' tools/build/v2/tools/gcc.jam

# cleanup -g switch to avoid override debuginfocflags.
%{__sed} -i 's/<debug-symbols>on : -g/<debug-symbols>on :/' tools/build/v2/tools/gcc.jam
# link against shared expat library.
%{__sed} -i 's:find-static:find-shared:' libs/graph/build/Jamfile.v2

%ifarch alpha
# -pthread gcc parameter doesn't add _REENTRANT to cpp macros on alpha (only)
# don't know, is it gcc bug or intentional omission?
# anyway, boost check of -D_REENTRANT in its headers, so it's needed here
%{__perl} -pi -e 's/(CFLAGS.*-pthread)/$1 -D_REENTRANT/' tools/build/v1/gcc-tools.jam
%endif

cat << EOF > tools/build/v2/user-config.jam
using gcc : %(%{__cxx} -dumpversion) : %{__cxx} ;
EOF

%build
%if %{with python}
PYTHON_VERSION=$(%{__python} -c 'import sys; print sys.version[0:3]')
PYTHON_ROOT=%{_prefix}
%else
PYTHON_ROOT=
PYTHON_VERSION=
%endif
EXPAT_INCLUDE=%{_includedir} \
EXPAT_LIBPATH=%{_libdir} \
ICU_PATH=%{_prefix} \
bjam \
	-d2 --toolset=gcc \
	variant=release debug-symbols=on inlining=on link=static,shared threading=multi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

cp -rf boost $RPM_BUILD_ROOT%{_includedir}

install bin.v2/libs/*/build/gcc-*/release/debug-symbols-on/inlining-on/link-static/threading-multi/lib*.a $RPM_BUILD_ROOT%{_libdir}
install bin.v2/libs/*/build/gcc-*/release/debug-symbols-on/inlining-on/threading-multi/lib*.so.*.*.* $RPM_BUILD_ROOT%{_libdir}

# create symlinks without -gccXX-mt-* things in names
for f in $RPM_BUILD_ROOT%{_libdir}/*.so.*.*.*; do
	[ -f "$f" ] || continue
	f=$(basename "$f")
	soname=$(basename "$f" | sed -e 's#-gcc..-mt-.*#.so#g')
	ln -s "$f" "$RPM_BUILD_ROOT%{_libdir}/$soname"
done
for f in $RPM_BUILD_ROOT%{_libdir}/*.a; do
	[ -f "$f" ] || continue
	f=$(basename "$f")
	soname=$(basename "$f" | sed -e 's#-gcc..-mt-.*#.a#g')
	ln -s "$f" "$RPM_BUILD_ROOT%{_libdir}/$soname"
done

# documentation
install -d $RPM_BUILD_ROOT%{_docdir}/boost-%{version}

# as the documentation doesn't completely reside in a directory of its
# own, we need to find out ourselves... this looks for HTML files and
# then collects everything linked from those.  this is certainly quite
# unoptimized wrt mkdir calls, but does it really matter?
installdocs() {
for i in $(find -type f -name '*.htm*'); do
	# bjam docu is included in the boost-jam RPM
	if test "`echo $i | sed 's,jam_src,,'`" = "$i"; then
		install -d $RPM_BUILD_ROOT%{_docdir}/boost-%{version}/${i%/*}
		for LINKED in `%{__perl} - $i $RPM_BUILD_ROOT%{_docdir}/boost-%{version}/$i <<'EOT'
			sub rewrite_link
			{
				my $link = shift;
				# rewrite links from boost/* to %{_includedir}/boost/* and
				# ignore external links as well as document-internal ones.
				# HTML files are also ignored as they get installed anyway.
				if (!($link =~ s,^(?:../)*boost/,%{_includedir}/boost/,) && !($link =~ m,(?:^[^/]+:|^\#|\.html?(?:$|\#)),))
				{
					(my $file = $link) =~ s/\#.*//;
					print "$file\n";
				}
				$link;
			}
			open IN, @ARGV[0];
			open OUT, ">@ARGV[1]";
			my $in_link;
			while (<IN>)
			{
				$in_link and s/^\s*"([^"> ]*)"/'"' . rewrite_link($1) . '"'/e;
				s/(href|src)="([^"> ]*)"/"$1=\"" . rewrite_link($2) . '"'/eig;
				print OUT;
				$in_link = /href|src=\s*$/;
			}
EOT`; do
			TARGET=${i%/*}/$LINKED
			# ignore non-existant linked files
			if test -f $TARGET; then
				install -D -m 644 $TARGET $RPM_BUILD_ROOT%{_docdir}/boost-%{version}/$TARGET
			fi
		done
	fi
done
}; installdocs

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	date_time -p /sbin/ldconfig
%postun	date_time -p /sbin/ldconfig

%post	filesystem -p /sbin/ldconfig
%postun	filesystem -p /sbin/ldconfig

%post	graph -p /sbin/ldconfig
%postun	graph -p /sbin/ldconfig

%post	python -p /sbin/ldconfig
%postun	python -p /sbin/ldconfig

%post	program_options -p /sbin/ldconfig
%postun	program_options -p /sbin/ldconfig

%post	regex -p /sbin/ldconfig
%postun regex -p /sbin/ldconfig

%post	signals -p /sbin/ldconfig
%postun	signals -p /sbin/ldconfig

%post	system -p /sbin/ldconfig
%postun	system -p /sbin/ldconfig

%post	test -p /sbin/ldconfig
%postun	test -p /sbin/ldconfig

%post	wave -p /sbin/ldconfig
%postun	wave -p /sbin/ldconfig

%post	thread -p /sbin/ldconfig
%postun	thread -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_iostreams*.so.*.*.*
%attr(755,root,root) %{_libdir}/libboost_serialization*.so.*.*.*
%attr(755,root,root) %{_libdir}/libboost_wserialization*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/boost
%attr(755,root,root) %{_libdir}/libboost_date_time*.so
%attr(755,root,root) %{_libdir}/libboost_filesystem*.so
%attr(755,root,root) %{_libdir}/libboost_graph*.so
%attr(755,root,root) %{_libdir}/libboost_iostreams*.so
%attr(755,root,root) %{_libdir}/libboost_prg_exec_monitor*.so
%attr(755,root,root) %{_libdir}/libboost_program_options*.so
%attr(755,root,root) %{_libdir}/libboost_regex*.so
%attr(755,root,root) %{_libdir}/libboost_serialization*.so
%attr(755,root,root) %{_libdir}/libboost_signals*.so
%attr(755,root,root) %{_libdir}/libboost_system*.so
%attr(755,root,root) %{_libdir}/libboost_thread*.so
%attr(755,root,root) %{_libdir}/libboost_unit_test_framework*.so
%attr(755,root,root) %{_libdir}/libboost_wave*.so
%attr(755,root,root) %{_libdir}/libboost_wserialization*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libboost_date_time*.a
%{_libdir}/libboost_filesystem*.a
%{_libdir}/libboost_grap*.a
%{_libdir}/libboost_iostreams*.a
%{_libdir}/libboost_prg_exec_monitor*.a
%{_libdir}/libboost_program_options*.a
%{_libdir}/libboost_regex*.a
%{_libdir}/libboost_serialization*.a
%{_libdir}/libboost_signals*.a
%{_libdir}/libboost_system*.a
%{_libdir}/libboost_test_exec_monitor*.a
%{_libdir}/libboost_thread*.a
%{_libdir}/libboost_unit_test_framework*.a
%{_libdir}/libboost_wave*.a
%{_libdir}/libboost_wserialization*.a

%if %{with python}
%files python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_python*.so.*.*.*

%files python-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_python*.so
%{_includedir}/boost/python
%{_includedir}/boost/python.hpp

%files python-static
%defattr(644,root,root,755)
%{_libdir}/libboost_python*.a
%endif

%files date_time
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_date_time*.so.*.*.*

%files filesystem
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_filesystem*.so.*.*.*

%files graph
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_graph*.so.*.*.*

%files program_options
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_program_options*.so.*.*.*

%files regex
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_regex*.so.*.*.*

%files signals
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_signals*.so.*.*.*

%files system
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_system*.so.*.*.*

%files test
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_prg_exec_monitor*.so.*.*.*
%attr(755,root,root) %{_libdir}/libboost_unit_test_framework*.so.*.*.*

%files thread
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_thread*.so.*.*.*

%files wave
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libboost_wave*.so.*.*.*

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: boost.spec,v $
Revision 1.105  2008/06/02 01:18:12  wolvverine
- rel.3

Revision 1.104  2008-05-28 18:07:50  qboosh
- fixed internal deps (-filesystem and -devel R: -system, -wave doesn't R: -devel)

Revision 1.103  2008-05-14 14:46:11  hawk
- boost-compressed_pair-devel was obsoleted by boost-devel, no need to
  require both of them (causes broken dep on boost-compressed_pair-devel)
- release 2

Revision 1.102  2008-04-29 16:00:53  pluto
- release 1.

Revision 1.101  2008-04-29 13:10:41  pluto
- updated to 1.35.0, big -devel merge, new TODO, gcc-4.3 fix.

Revision 1.100  2008-03-26 12:54:41  sls
- boost-graph-devel requires boost-graph

Revision 1.99  2008-01-05 21:11:40  qboosh
- the same with -ref-devel
- release 2

Revision 1.98  2008-01-05 21:09:22  qboosh
- -call_traits-devel merged into -devel (as they R each other); O+temporary P added

Revision 1.97  2008-01-02 00:00:46  gotar
- devel R: call_traits-devel as boost/iostreams/detail/double_object.hpp
  requires boost/call_traits.hpp

Revision 1.96  2007-07-26 17:09:47  pluto
- updated to 1.34.1.

Revision 1.95  2007/07/20 18:47:35  qrczak
- Updated boost-jam BR to 3.1.12

Revision 1.94  2007/07/04 15:47:32  shadzik
- rel 2 (for rebuild with gcc-4.2.0-7)

Revision 1.93  2007/06/25 22:53:44  pluto
- fixup bind-devel reqs (boost/bind.hpp:30:32 needs boost/visit_each.hpp).

Revision 1.92  2007/06/20 20:25:53  qboosh
- pl for new packages
- cleanup (no shared typeof)

Revision 1.91  2007/06/20 18:26:32  arekm
- added subpackages

Revision 1.90  2007/06/16 22:41:53  qboosh
- updated python patch is back
- package few more files

Revision 1.89  2007/06/16 21:23:09  qboosh
- don't hardcode debug flags, they belong to rpmcxxflags

Revision 1.88  2007/06/16 12:41:02  lkrotowski
- dropped unnecessary gcc42 dependency

Revision 1.87  2007/06/15 12:09:27  pluto
- basic update to 1.34.0 (builds and install), TODO updated, release 0.1.

Revision 1.86  2007/05/21 17:42:01  pluto
- release 10 for rebuild with gcc-4.2.0 / glibcxx-3.4.9 issue.

Revision 1.85  2007/04/26 16:25:06  czarny
- rel up to 9 for build with atomicy patch

Revision 1.84  2007/04/24 19:54:19  glen
- fix shadzik encoding (again)

Revision 1.83  2007/04/24 19:22:16  shadzik
- added -atomicity.patch by Bartłomiej Zimoń (uzi18 at o2 dot pl)

Revision 1.82  2007/04/17 18:52:04  pluto
- don't strip libs, we need this stuff for -debuginfo (thx freetz).

Revision 1.81  2007/04/16 19:27:16  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 8.

Revision 1.80  2007/03/18 17:24:40  czarny
- bogus include from libstdc++-4.2.0 todo added

Revision 1.79  2007/03/03 19:44:50  czarny
- boost-program_options-devel R:boost-bind-devel

Revision 1.78  2007/02/19 16:32:55  arekm
- rebuild

Revision 1.77  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.76  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.75  2007/01/11 00:21:15  glen
- typo

Revision 1.74  2007/01/10 23:52:52  glen
- use %{__cc}, %{__cxx}
- enable icu
- install subshell optimize
- sane python version extraction
- built on ac-i686

Revision 1.73  2007/01/05 21:40:30  arekm
- rel 6

Revision 1.72  2006/10/15 10:21:00  pluto
- tupple.hpp req. ref.hpp.

Revision 1.71  2006/10/14 10:33:14  cieciwa
- release 5.

Revision 1.70  2006/09/25 04:38:33  pluto
- release 4.1.

Revision 1.69  2006/09/24 18:56:30  pluto
- O: boost-compose-devel (use bind and/or lambda instead).
- excessive inlining disabled.

Revision 1.68  2006/09/24 11:47:44  pluto
- ldconfig for program_options, symlinks for program_options-devel.
- release 4.

Revision 1.67  2006/09/24 11:11:08  pluto
- program_options-devel R: any-devel

Revision 1.66  2006/09/05 23:21:31  pluto
- fix 64-bits build, fix python25-bindingns build, release 3.

Revision 1.65  2006/09/05 10:58:57  cieciwa
- release 2,
- any.hpp back in to any-devel.

Revision 1.64  2006/09/05 10:48:58  cieciwa
- release 1.1,
- added boost/any.hpp to boost-devel.

Revision 1.63  2006/08/22 11:05:51  charles
- BR: bzip2-devel, zlib-devel

Revision 1.62  2006/07/23 06:27:02  pluto
- install fixed, release 1.

Revision 1.61  2006/07/20 15:13:55  pluto
- fix serialization crash
- allow static libs to be a shared linkable.

Revision 1.60  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.59  2005/12/07 23:12:27  qboosh
- dependency loops merged together
  (-concept_check-devel,-conversion-devel,-mpl-devel,-preprocessor-devel,
   -static_assert-devel,type_traits-devel,utility-devel into -devel;
   -mem_fn-devel into -bind-devel) - such separation was pointless
- release 0.2

Revision 1.58  2005/12/07 22:24:29  qboosh
- updated to 0.33.1
- resurrected base and -static (forget about separating serialization)
- added -thread-static and -wave-devel subpackages

Revision 1.57  2005/12/06 13:45:44  qboosh
- BR: rpm-pythonprov

Revision 1.56  2005/05/01 01:07:19  qboosh
- release 4

Revision 1.55  2005/05/01 00:52:51  qboosh
- -devel needs -conversion-devel (wrong split?)

Revision 1.54  2005/04/30 23:13:13  qboosh
- dot

Revision 1.53  2005/04/12 22:07:59  arekm
- rel 3 (missing R in -test-devel subpackage; boost/utility was in two subpackages (fixed))

Revision 1.52  2004/12/29 21:54:36  kali
- added missing dir

Revision 1.51  2004/12/23 20:17:42  saq
- release 2 for rebuild with python 2.4

Revision 1.50  2004/11/30 19:29:00  qboosh
- typo, simplified ver macros

Revision 1.49  2004/11/29 19:29:56  wolf
- 1.32.0
- cut changelog

Revision 1.48  2004/08/30 15:50:28  snurf
- typo / formatting / etc.

Revision 1.47  2004/06/13 15:03:22  arekm
- nicer symlinks

Revision 1.46  2004/05/14 08:32:18  adgor
- -signals-devel R: -signals

Revision 1.45  2004/05/08 23:54:23  qboosh
- release 1 for Ac - at last!
